#include <bits/stdc++.h>
using namespace std;
int brojac = 1, rezultat = 0;
long long d, k, V, niz[100], l = 57;
int main () {
    niz[1] = 1;
    niz[2] = 2;
    niz[3] = 5;
    for (int i = 4; i <= 57; i++) {
        niz[i] = niz[brojac]*10;
        brojac++;
    }
    scanf("%lld", &V);
    while (V>0) {
        if (niz[l] <= V) {
            V-=niz[l];
            rezultat++;
        }
        else {
            l--;
        }
    }
    printf("%d", rezultat);
    return 0;
}